Summary: A library of functions for manipulating PNG image format files.
Name: libpng
Version: 1.0.5
Release: 2mdk
Copyright: distributable
Group: System/Libraries
Source: ftp://ftp.uu.net/graphics/png/src/libpng-1.0.5.tar.bz2
Patch0: libpng-1.0.3-rhconf.patch.bz2
Buildroot: /var/tmp/libpng-root
%define prefix /usr
%define LIBVER 2.1.0.5
Serial: 1


%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package devel
Summary: Development tools for programs to manipulate PNG image format files.
Group: Development/C
Requires: libpng = %{PACKAGE_VERSION}
Serial: 1

%description devel
The libpng-devel package contains the header files and static libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%setup
ln -s scripts/makefile.linux ./Makefile

perl -p -i -e 's/CFLAGS=.*/CFLAGS=-I\$(ZLIBINC) \$(RPM_OPT_FLAGS) -Wall \\/g' Makefile
perl -p -i -e 's/ZLIBLIB=.*/ZLIBLIB=\/usr\/lib/' Makefile
perl -p -i -e 's/ZLIBINC=.*/ZLIBINC=\/usr\/include/' Makefile

%build
if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix="%{prefix}" ; exit 0)
        make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix="%{prefix}"
else
        make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix="%{prefix}"
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}
make install prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/man/man{3,5}
install -m 644 *.3 $RPM_BUILD_ROOT/usr/man/man3
install -m 644 *.5 $RPM_BUILD_ROOT/usr/man/man5
#yes i'm lazy
rm -rf $RPM_BUILD_ROOT/usr/man/man3/libpng.so.2.1.0.3

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
/usr/lib/libpng.so.%{LIBVER}
/usr/man/man5/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/libpng.a
/usr/lib/libpng.so
/usr/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.5-2mdk
- fix group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.5
- redo patch with perl (yay perl)
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- libpng.so.2.1.0.3 is not a man pages lets not put it in usr/man/man3 

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Feb 07 1999 Michael Johnson <johnsonm@redhat.com>
- rev to 1.0.3

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

